Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SpaceTime.DataModel.VendorOrders
Interface MultiOrder

    public interface MultiOrder

Multiorder represents multiple orders from one vendor for a particular event passed by reference

Author:
  Kostya

Method Summary
`void` | `AddUnit(MultiorderUnit unit)` Add new simple order to this multiorder
`int` | `Cost()` Cost
`void` | `Cost(int value)`
`int` | `Duration()` Duration
`void` | `Duration(int value)`
`java.lang.String` | `EventId()` Event Id
`void` | `EventId(java.lang.String value)`
`MultiorderUnit` | `GetUnitAt(int index)` Get the data specific for the simple order at the specified index
`java.lang.String` | `RoomId()` Room Id
`void` | `RoomId(java.lang.String value)`
`int` | `Size()` Number of simple orders in this multiorder
`long` | `StartTime()` Start time
`void` | `StartTime(long value)`
`java.lang.String` | `VendorId()` Vendor Id
`void` | `VendorId(java.lang.String value)`

Method Detail

### Size

    int Size()

  Number of simple orders in this multiorder

  Returns:

### GetUnitAt

    MultiorderUnit GetUnitAt(int index)

  Get the data specific for the simple order at the specified index

  Parameters:
    `index` -
  Returns:

### AddUnit

    void AddUnit(MultiorderUnit unit)

  Add new simple order to this multiorder

  Parameters:
    `unit` -

### EventId

    java.lang.String EventId()

  Event Id

### EventId

    void EventId(java.lang.String value)

### VendorId

    java.lang.String VendorId()

  Vendor Id

### VendorId

    void VendorId(java.lang.String value)

### Cost

    int Cost()

  Cost

### Cost

    void Cost(int value)

### RoomId

    java.lang.String RoomId()

  Room Id

### RoomId

    void RoomId(java.lang.String value)

### StartTime

    long StartTime()

  Start time

### StartTime

    void StartTime(long value)

### Duration

    int Duration()

  Duration

### Duration

    void Duration(int value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD